KEY_CONFIG указывает на неправильную версию openssl.cnf

Я пытаюсь установить OpenVPN, но я получаю эту ошибку:

#./build-ca grep: /etc/openvpn/easy-rsa/2.0/openssl.cnf: No such file or directory pkitool: KEY_CONFIG (set by the ./vars script) is pointing to the wrong version of openssl.cnf: /etc/openvpn/easy-rsa/2.0/openssl.cnf The correct version should have a comment that says: easy-rsa version 2.x 

У меня установлен OpenSSL *. Нужно ли устанавливать местоположение?

сложно сказать без дополнительной информации …

во всяком случае, у вас есть

  • неправильно настроили вашу установку через файл vars

  • или вы не активировали файл vars , запустив source vars перед запуском ./build-ca

файл vars содержит (среди прочего) определение переменной KEY_CONFIG . по умолчанию (в моей системе Debian) вызывается оболочка-скрипт, который попытается найти правильный файл openssl.conf умолчанию для вас

 export KEY_CONFIG=`$EASY_RSA/whichopensslcnf $EASY_RSA` 

(в моей системе установлен OpenSSL 1.0.1e 11 февраля 2013 , поэтому KEY_CONFIG оценивает .../openssl-1.0.0.cnf )

если это не сработает для вас, вы можете вручную установить KEY_CONFIG в значение, соответствующее вашим.

ln -s openssl-1.0.0.cnf openssl.cnf